Get referral statistics
curl --request GET \
--url https://api.komerza.com/user \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.komerza.com/user"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.komerza.com/user', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "<string>",
"code": "<string>",
"data": {
"id": "<string>",
"dateCreated": "2023-11-07T05:31:56Z",
"stores": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dateCreated": "2023-11-07T05:31:56Z",
"name": "<string>",
"description": "<string>",
"url": "\n store\n ",
"currencyCode": "<string>",
"prependProductNameToReceipt": true,
"isAutomaticReviewsEnabled": true,
"rating": 123,
"domain": "<string>",
"isCustomerBalanceEnabled": true,
"isBalanceTopUpEnabled": true,
"isSplitPaymentEnabled": true,
"branding": {
"bannerFileName": "<string>",
"iconFileName": "<string>",
"accentColor": "<string>"
},
"isTicketingEnabled": true,
"showPublicStats": true,
"showRecentOrderToasts": true,
"enableCartRecovery": true,
"isInactive": true,
"customDomain": "<string>",
"scopes": [
"<string>"
],
"maintenanceReason": "<string>",
"termsOfServiceUrl": "<string>",
"refundPolicyUrl": "<string>",
"privacyPolicyUrl": "<string>",
"affiliateOptions": {
"isEnabled": true,
"defaultReturnPercentage": 50,
"canConvertAffiliateBalance": true,
"isPublicRegistrationEnabled": true,
"isLinkEditingEnabled": true,
"defaultPercentageOff": 50
},
"externalSupportUrl": "<string>",
"externalSupportDescription": "<string>",
"lastOrderAt": "2023-11-07T05:31:56Z"
}
],
"email": "<string>",
"userName": "<string>",
"plan": "<string>",
"isBuyerProtectionManager": true,
"twoFactorEnabled": true,
"totpEnabled": true,
"passkeyEnabled": true,
"riskLocked": true,
"billingSuspended": true,
"integrations": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dateCreated": "2023-11-07T05:31:56Z",
"application": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dateCreated": "2023-11-07T05:31:56Z",
"name": "<string>",
"permissions": [
"<string>"
],
"redirectUrls": [
"<string>"
],
"userId": "<string>",
"imageName": "<string>",
"termsOfServiceLink": "<string>",
"privacyPolicyLink": "<string>"
}
}
],
"apiKeys": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dateCreated": "2023-11-07T05:31:56Z",
"label": "<string>",
"ipAddresses": [
"<string>"
],
"scopes": [
"<string>"
],
"userId": "<string>"
}
],
"disabledPaymentMethods": {},
"stripeEnabled": true,
"nmiEnabled": true,
"moneyMotionEnabled": true,
"pandabaseEnabled": true,
"shopifyEnabled": true,
"storrikEnabled": true,
"mollieEnabled": true,
"northbridgeEnabled": true,
"squareEnabled": true,
"paypalBusinessEnabled": true,
"isCryptoEnabled": true,
"isSumUpEnabled": true,
"paddleEnabled": true,
"fastSpringEnabled": true,
"venPayrEnabled": true,
"isAuthorizeNetEnabled": true,
"restrictedPaymentMethods": [
"<string>"
],
"riskLockedPaymentMethods": [
"<string>"
],
"integrationErrorReports": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dateCreated": "2023-11-07T05:31:56Z",
"reason": "<string>",
"gateway": "<string>",
"reporter": "<string>",
"resolved": true,
"type": "<string>",
"userId": "<string>"
}
],
"lastPasswordUpdate": "2023-11-07T05:31:56Z",
"signals": {
"countryCode": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dateCreated": "2023-11-07T05:31:56Z",
"userId": "<string>",
"registrationIpAddress": "<string>",
"registrationFingerprint": "<string>",
"verificationStatus": "<string>",
"legalEntityType": "<string>",
"taxId": "<string>",
"fullName": "<string>",
"addressLine1": "<string>",
"addressLine2": "<string>",
"city": "<string>",
"region": "<string>",
"postalCode": "<string>"
},
"discordWebhookUrl": "<string>",
"subscription": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dateCreated": "2023-11-07T05:31:56Z",
"expiryDate": "2023-12-25",
"autoRenew": true,
"userId": "<string>",
"billingInterval": "<string>",
"failedPaymentCount": 123,
"lastSyncedAt": "2023-11-07T05:31:56Z",
"customerIds": {},
"emailMarketingSent": 123,
"isExpired": true,
"startedDate": "2023-12-25",
"status": "<string>",
"trialEndDate": "2023-12-25",
"planId": "<string>",
"lastPaymentFailureDate": "2023-11-07T05:31:56Z",
"nextRetryDate": "2023-12-25",
"cancelAt": "2023-11-07T05:31:56Z",
"canceledAt": "2023-11-07T05:31:56Z",
"scheduledPlanId": "<string>",
"scheduledBillingInterval": "<string>",
"lastExpiryReminderDate": "2023-12-25",
"emailMarketingQuotaResetAt": "2023-11-07T05:31:56Z"
},
"refreshAt": "2023-11-07T05:31:56Z",
"billingSuspensionDate": "2023-11-07T05:31:56Z",
"cashAppOptions": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"isEnabled": true,
"isRestricted": true,
"isRiskLocked": true,
"userId": "<string>",
"requireBillingInformation": true,
"isAcceptingRequests": true,
"restrictionReason": "<string>",
"email": "<string>",
"tag": "<string>",
"customNoteListId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"payPalOptions": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"isEnabled": true,
"isRestricted": true,
"isRiskLocked": true,
"userId": "<string>",
"requireBillingInformation": true,
"isUsingLegacyEmails": true,
"isFriendsAndFamilyEnabled": true,
"isAcceptingRequests": true,
"isAcceptingHeldPayments": true,
"restrictionReason": "<string>",
"email": "<string>",
"payPalEmail": "<string>",
"customNoteListId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"storrikOptions": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"isEnabled": true,
"isRestricted": true,
"isRiskLocked": true,
"userId": "<string>",
"requireBillingInformation": true,
"restrictionReason": "<string>"
},
"payPalBusinessOptions": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"isEnabled": true,
"isRestricted": true,
"isRiskLocked": true,
"userId": "<string>",
"requireBillingInformation": true,
"isUsingLegacyIntegration": true,
"forceCardOnly": true,
"restrictionReason": "<string>",
"oAuthClientId": "<string>",
"emailAddress": "<string>"
},
"stripeOptions": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"isEnabled": true,
"isRestricted": true,
"isRiskLocked": true,
"userId": "<string>",
"requireBillingInformation": true,
"restrictionReason": "<string>",
"paymentMethodConfigurationId": "<string>",
"publishableKey": "<string>"
},
"squareOptions": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"isEnabled": true,
"isRestricted": true,
"isRiskLocked": true,
"userId": "<string>",
"requireBillingInformation": true,
"applicationId": "<string>",
"locationId": "<string>",
"restrictionReason": "<string>"
},
"mollieOptions": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"isEnabled": true,
"isRestricted": true,
"isRiskLocked": true,
"userId": "<string>",
"requireBillingInformation": true,
"profileId": "<string>",
"restrictionReason": "<string>"
},
"northbridgeOptions": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"isEnabled": true,
"isRestricted": true,
"isRiskLocked": true,
"userId": "<string>",
"requireBillingInformation": true,
"restrictionReason": "<string>"
},
"nmiOptions": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"isEnabled": true,
"isRestricted": true,
"isRiskLocked": true,
"userId": "<string>",
"requireBillingInformation": true,
"gatewayUrl": "<string>",
"publicKey": "<string>",
"threeDSecureEnabled": true,
"rejectAvsAddressMismatch": true,
"rejectAvsZipMismatch": true,
"rejectCvvMismatch": true,
"rejectAvsUnavailable": true,
"kountEnabled": true,
"restrictionReason": "<string>",
"kountMerchantId": "<string>"
},
"paddleOptions": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"isEnabled": true,
"isRestricted": true,
"isRiskLocked": true,
"userId": "<string>",
"requireBillingInformation": true,
"restrictionReason": "<string>"
},
"fastSpringOptions": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"isEnabled": true,
"isRestricted": true,
"isRiskLocked": true,
"userId": "<string>",
"requireBillingInformation": true,
"restrictionReason": "<string>"
},
"shopifyOptions": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"isEnabled": true,
"isRestricted": true,
"isRiskLocked": true,
"userId": "<string>",
"requireBillingInformation": true,
"shopUrl": "<string>",
"restrictionReason": "<string>"
},
"cryptocurrencyOptions": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"isEnabled": true,
"isRestricted": true,
"isRiskLocked": true,
"userId": "<string>",
"requireBillingInformation": true,
"disabledCryptocurrencies": [
"<string>"
],
"restrictionReason": "<string>"
}
}
}{
"success": true,
"message": "<string>",
"code": "<string>",
"data": "<unknown>"
}User
Get User
Returns the currently authenticated user’s profile data.
Requires the user.view permission.
GET
/
user
Get referral statistics
Authorizations
Your API key goes here
Response
The object was successfully returned.
Represents a default generic response for API endpoints.
Indicates whether the operation or response was successful.
A descriptive message providing additional context or information about the response.
The error code (if there was an error) to use when referencing the error
Represents a user with detailed merchant-related information.
Show child attributes
Show child attributes
Last modified on December 1, 2025
⌘I